Graph::Easy::Group::Cell(3)

NAME
Graph::Easy::Group::Cell - A cell in a group

SYNOPSIS
        use Graph::Easy;

        my $ssl = Graph::Easy::Edge->new( );

        $ssl->set_attributes(
                label => 'encrypted connection',
                style => '-->',
                color => 'red',
        );

        $graph = Graph::Easy->new();

        $graph->add_edge('source', 'destination', $ssl);

        print $graph->as_ascii();

DESCRIPTION
A "Graph::Easy::Group::Cell" represents a cell of a group.

Group cells can have a background and, if they are on the outside, a border.

There should be no need to use this package directly.

METHODS

  error()
        $last_error = $group->error();

        $group->error($error);                  # set new messages
        $group->error('');                      # clear error

Returns the last error message, or '' for no error.

  as_ascii()
        my $ascii = $cell->as_ascii();

Returns the cell as a little ascii representation.

  as_html()
        my $html = $cell->as_html($tag,$id);

Returns the cell as HTML code.

  label()
        my $label = $cell->label();

Returns the name (also known as 'label') of the cell.

  class()
        my $class = $cell->class();

Returns the classname(s) of this cell, like:

        group_cities gr gb

for a cell with a bottom (gb) and right (gr) border in the class "cities".

EXPORT
None.

SEE ALSO
Graph::Easy.

AUTHOR
Copyright (C) 2004 - 2007 by Tels <http://bloodgate.com>.

See the LICENSE file for more details.